/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
  HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */


body, div, main, section, article {
  box-sizing: border-box; 
}

/* universal background color */
body {
background-image: url("https://olivia-stephens.com/site_background.png");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
 background-size: cover;
 
}

/* header image */
header img {
  width: 700px;
  max-width: 98%;
}

/* clearfix hack to prevent image overflow. check out the W3Schools page on it. */
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}


/*FONTS*/

/* header font */
#showComic, header, h1, h2, h3, h4, h5 {
  font-family: "Special Elite", system-ui;
  font-weight: 400;
  font-style: normal;
  text-shadow: 1px 4px 3px rgba(0,0,0,0.74);
  color: #97bd27;
}

/* body font */
.subPage p, footer, #authorNotes, .archiveTable {
   font-family: "Special Elite", system-ui;
  font-weight: 400;
  font-size: 20px;
  font-kerning: normal;
  font-style: normal;
  text-shadow: 1px 4px 3px rgba(0,0,0,0.74);
  color: #b2c01d;
}
.subPage ul {
  font-family: "Special Elite", system-ui;
  font-weight: 400;
  font-size: 20px;
  font-style: normal;
  text-shadow: 1px 4px 3px rgba(0,0,0,0.74);
  color: #868d26;
}



/* STYLING FOR SUBPAGES (about, characters, etc) */

/*general*/

.leftsidebar{
height: 100%;
  font-weight: 400;
  font-size: 20px;
  font-style: normal;
  text-shadow: 1px 4px 3px rgba(0,0,0,0.74);
  color: #868d26;
  width: 500px; /* Set the width of the sidebar */
  max-width: 25%;
  position: fixed; /* Fixed Sidebar (stay in place on scroll) */
  top: 0; /* Stay at the top */
  left: 1;
  margin-left: auto;
  overflow-x: auto; /* Disable horizontal scroll */
  padding: 20px 15px 140px 15px;
  float: left;
  text-align:center;

}

/* On smaller screens, where height is less than 450px, change the style of the sidebar (less padding and a smaller font size) */
@media only screen and (max-height: 750px) {
  .sidenav {display:none;}
  
}

@media only screen and (max-width: 1100px) {
    .sidenav {
        display: none;
    }
}
.ballad {
    margin: auto;
    background: #181e24;
    color:#e18b41;
    font-family: "los-feliz", serif;
font-weight: 400;
font-style: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-shadow: 1px 1px 1px rgba(0,0,0,0.004);
}
.subPage {
  width: 800px;
  max-width: 98%;
  margin: auto;
  margin-bottom: 20px;
  padding: 0px 12px 12px;
}
/* linkback styling */
.linkback {
  text-align: center;
  }
  
.subPage:not(.archivePage) {
  text-align: justify;
}

/* for pictures displayed to the left */
.leftPic {
  clear: left;
  float:right;
  margin-left:20px;
}

/* for pictures displayed to the left */
.rightPic {
  clear: right;
  float:left;
  margin-left:20px;
}

/* specific to Characters */
.charTable, .charTable td { 
  width: 100%;
}

/* link colors */
a {
      color: #ffffff;
      text-decoration: none;
    transition: all 0.4s;
    }

a:hover {
      color: #5ffd26;
      letter-spacing: 3px;
    }

/* HEADER */
header #nav {
  font-size: 30px;
  width: 98%;
  margin: auto;
  padding: 20px;
}

/* HOMEPAGE */

/* style nav button images */
.comicNav {
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
  justify-content: center;
  padding: 10px 0px;
}
.comicNav img {
  width: 70px;
  max-width: 98%;
  padding-right: 30px;
}

/* style comic page image */
.comicPage img {
  width: 1000px;
  max-width: 98%;
}

/* style author notes */
#authorNotes {
  margin: auto;
  padding: 3px;
  padding-top: 0px;
  width: 600px;
  max-width: 98%;
}

/* ARCHIVE PAGE */

/* style table in which archive is displayed */
.archiveTable {
  width: 90%;
  border-collapse:collapse;
}

/* style archive table cells */
.archiveTable td {
  padding: 3px;
  vertical-align: center;
  
}

/* style table cell in which page title is displayed */
.archiveCellTitle:not(.leftAlignTableText) {
  max-width: 300px;
  text-align: center;
}

.archiveCellDate {
  text-align: right;
  min-width: 120px;
}

.archiveCellNum {
  text-align: center;
  min-width: 30px;
}

/* style the thumbnails on the archive page */
.archiveCellThumb {
    width: 500px;
    max-width: 60px;
}
.archiveCellThumb img{
    max-width: 100%;
  }

/* for left aligning the text in a table cell */
.leftAlignTableText td {
  text-align: left;
}

/* highlight a table row and make pointer into hand when moused over */
.archiveRow:hover {
  background-color: #090909;
  cursor: pointer;
}

/* FOOTER */
footer {
  color: #9e1c20;
  margin-top: 12px;
  margin-bottom: 15px;
  float: left;
  width: 100%;
  font-size: 14px;
}

footer p {
  margin: auto;
}

footer a {
  color: #c8d32b
}

footer a:hover {
  color: #868d26
}

/* take away margins from the edges of the screen */
html, body {
  margin: 0;
}
/* SLIDESHOW GALLERY SETTINGS */
* {
  box-sizing: border-box;
}

/* Position the image container (needed to position the left and right arrows) */
.container {
  margin:auto;
  width:800px;
  max-width:98%;
  position: relative;
  padding: 20px;
}

/* Hide the images by default */
.mySlides {
  display: none;
}

/* Add a pointer when hovering over the thumbnail images */
.cursor {
  cursor: pointer;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 40%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  color:white;
  background-color: rgba(0, 0, 0, 0.8);
}

/* Number text (1/3 etc) */
.numbertext {
  font-family: "Special Elite";
  color: #f2f2f2;
  font-size: 14px;
  position: absolute;
  top: 0;
}

/* Container for image text */
.caption-container {
  font-family: "Special Elite";
  
  
  padding: 2px 16px;
  color: white;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Six columns side by side */
.column {
  float: left;
  width: 6.66%;
}

/* Add a transparency effect for thumnbnail images */
.demo {
  opacity: 0.6;
}

.active,
.demo:hover {
  opacity: 1;
}
/* LIGHTBOX SETTINGS BELOW */
* {
  box-sizing: border-box;
}

.row > .column {
  padding: 8px;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

.column {
  float: left;
  width: 20%;
  max-width:98%;
}

/* The Modal (background) */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  padding-top: 50px;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: black;
}

/* Modal Content */
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 0;
  width: 800px;
  max-width: 98%;
}

/* The Close Button */
.close {
  color: white;
  position: absolute;
  top: 10px;
  right: 25px;
  font-size: 35px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #999;
  text-decoration: none;
  cursor: pointer;
}

.mySlides {
  display: none;
}

.cursor {
  cursor: pointer;
}

/* Next & previous buttons */
.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  padding: 16px;
  margin-top: -50px;
  color: white;
  font-weight: bold;
  font-size: 20px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  -webkit-user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

img {
  margin-bottom: -4px;
}

.caption-container {
  text-align: center;
  background-color: black;
  padding: 2px 16px;
  color: white;
}

.demo {
  opacity: 0.6;
}

.active,
.demo:hover {
  opacity: 1;
}

img.hover-shadow {
  transition: 0.3s;
}

.hover-shadow:hover {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
